Subject: [OAUTH-WG] Adding resource owner id to the introspection response {was :Introspection spec still active? }

From: Prabath Siriwardena <[email-masked]>
Date: Thu, 28 Nov 2013 17:21:54 +0530

Currently the introspection response has an optional parameter to pass the
client_id to the caller. It would also be useful to pass an ID token back
in the response - just like in OpenID Connect - to include end user details.

WDYT ?

Thanks & regards,
-Prabath

On Tue, Nov 12, 2013 at 3:27 AM, Nat Sakimura <[email-masked]> wrote:

> Great.
>
> I may have something for you based on our implementation. I will get back
> to you individually.
>
> Best,
>
> Nat
>
>
> 2013/11/12 Richer, Justin P. <[email-masked]>
>
>  Expiration of drafts happens automatically after a set amount of time
>> has passed without edits. There haven't needed to be any edits to the
>> introspection draft in many months (apart from a couple typos), so I
>> haven't updated it.
>>
>>  -- Justin
>>
>>  ------------------------------
>> *From:* [email-masked] [[email-masked]] on behalf of Nat
>> Sakimura [[email-masked]]
>> *Sent:* Monday, November 11, 2013 9:47 AM
>> *To:* Todd W Lainhart
>> *Cc:* IETF oauth WG
>> *Subject:* Re: [OAUTH-WG] Introspection spec still active?
>>
>>   By no means. If Justin let it go, I will pick it up :-)
>>
>>
>> 2013/11/11 Todd W Lainhart <[email-masked]>
>>
>>> *http://tools.ietf.org/html/draft-richer-oauth-introspection-04*<http://tools.ietf.org/html/draft-richer-oauth-introspection-04> expired
>>> as of 11/02/13.  I'm assuming that this spec still has some traction, and
>>> that the expiration is not an indicator of retraction?
>>>
>>>
>>>
>>>
>>>
>>>
>>> * Todd Lainhart Rational software IBM Corporation 550 King Street,
>>> Littleton, MA 01460-1250*
>>>
>>>
>>> * 1-978-899-4705 2-276-4705 (T/L) [email-masked]
>>> <[email-masked]>*
>>>
>>> _______________________________________________
>>> OAuth mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/oauth
>>>
>>>
>>
>>
>>  --
>> Nat Sakimura (=nat)
>> Chairman, OpenID Foundation
>> http://nat.sakimura.org/
>> @_nat_en
>>
>
>
>
> --
> Nat Sakimura (=nat)
> Chairman, OpenID Foundation
> http://nat.sakimura.org/
> @_nat_en
>
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth
>
>

-- 
Thanks & Regards,
Prabath

Mobile : +94 71 809 6732

http://blog.facilelogin.com
http://blog.api-security.org